from random import choice

import pygame
import os.path

try:
   pygame.mixer.init()
except:
   print 'sound error! there will be no sound'
   isSound = False
else:
   isSound = True

music = ['lizzy.mod', 'love_th.mod', 'werethed.mod']
ENDMUSIC = 42


def reloadMusic():
   pygame.mixer.music.load(os.path.join('sound', choice(music)))
   pygame.mixer.music.set_endevent(ENDMUSIC)
   pygame.mixer.music.play()
   
LoadedSounds = {}

def getSound(name, volume=0.4):
   if name not in LoadedSounds:
      sound = pygame.mixer.Sound(os.path.join('sound', '%s.ogg' % name))
      sound.set_volume(volume)
      LoadedSounds[name] = sound
   return LoadedSounds[name]


# vim: set et sts=3 sw=3:
